package com.fp.webservices.snap.seguridad;

import com.fp.webservices.snap.recursos.MsgSnap;
import com.fp.webservices.snap.seguridad.DatosHeader;
import ec.gob.bsg.accesobsgservice.AccesoBSGService;
import ec.gob.bsg.accesobsgservice.BSG04AccederBSG;
import ec.gob.bsg.accesobsgservice.ValidarPermisoPeticion;
import ec.gob.bsg.accesobsgservice.ValidarPermisoRespuesta;

public class PermissionClient {

    private String urlServicio;

    public PermissionClient(String urlServicio) {
        this.urlServicio = urlServicio;
    }

    public DatosHeader generaToken() {
        try {
            DatosHeader headers = new DatosHeader();

            AccesoBSGService service = new AccesoBSGService();
            BSG04AccederBSG port = service.getBSG04AccederBSGPort();

            ValidarPermisoPeticion validarPermisoPeticion = new ValidarPermisoPeticion();

            validarPermisoPeticion.setCedula(MsgSnap.getString("cedulapermiso"));
            validarPermisoPeticion.setUrlsw(this.urlServicio);

            ValidarPermisoRespuesta result = port.validarPermiso(validarPermisoPeticion);

            if (!result.getMensaje().getCodError().equals("000")) {

                System.out.println(result.getMensaje().getDesError());
                headers.setNonce(result.getMensaje().getDesError());
                headers.setDigest(result.getMensaje().getDesError());
                headers.setFecha(result.getMensaje().getDesError());
                headers.setFechaf(result.getMensaje().getDesError());

            } else {

                headers.setNonce(result.getNonce());
                headers.setDigest(result.getDigest());
                headers.setFecha(result.getFecha());
                headers.setFechaf(result.getFechaF());
                headers.setUsuario(MsgSnap.getString("cedulapermiso"));
            }
            System.out.println("Acceso = " + result.getMensaje().getDesError());
            return headers;
        } catch (Exception ex) {
            System.out.println("  ERROR " + ex.getMessage());
            ex.printStackTrace();

            return null;
        }
    }
}


/* Location:              /data/COMACO/SINCOAR2022/Entorno/produccion/servers/mule-standalone-3.5.0/apps/centralwebservices-2.1.zip!/centralwebservices-2.1/classes/com/fp/webservices/snap/seguridad/PermissionClient.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */
